Bug 132935 - XFree86 GUI won't start with RedHat build 2.4.21-14.EL
XFree86 GUI won't start with RedHat build 2.4.21-14.EL
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-19 23:21 EDT by Darren Lenick
Modified: 2015-01-04 17:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 boot log (36.14 KB, text/plain)
2004-09-19 23:22 EDT, Darren Lenick
no flags Details
XF86Free config file (3.10 KB, text/plain)
2004-09-19 23:23 EDT, Darren Lenick
no flags Details

  None (edit)
Description Darren Lenick 2004-09-19 23:21:12 EDT
Description of problem:
After updating to Red Hat build 2.4.21-14.EL, the GUI won't start with
error: Unable to open /dev/agpgert.  Works fine on prebious build.

Version-Release number of selected component (if applicable):

How reproducible:
Boot with 2.4.21-14.EL rather than 2.4.21-9.EL.

Steps to Reproduce:
1. Use up2date to install 2.4.21-14.EL
2. Reboot system to newer Kernel
3. System is unable to resolve graphics driver
Actual results:
Won't boot to GUI.

Expected results:
Boot to GUI.

Additional info:
System recognizes graphics chipset, i810, but appears to have problems
resolving resolution modes.
Comment 1 Darren Lenick 2004-09-19 23:22:31 EDT
Created attachment 104005 [details]
XFree86 boot log
Comment 2 Darren Lenick 2004-09-19 23:23:10 EDT
Created attachment 104006 [details]
XF86Free config file
Comment 3 Mike A. Harris 2004-09-20 16:48:08 EDT
"agpgart" is a kernel driver.  The i810 driver requires agpgart
kernel support in order to function properly.  If agpgart is
unavailable for any reason, the i810 driver will refuse to start.

I've seen other similar reports for RHEL3 update kernels from other
i810 users as well.  Reassigning to the kernel component for
agpgart issue investigation.
Comment 5 Ernie Petrides 2004-10-20 21:06:27 EDT
A fix for this problem was committed to the RHEL3 U4
patch pool on Monday (in kernel version 2.4.21-22.EL).

*** This bug has been marked as a duplicate of 131907 ***
Comment 6 John Flanagan 2004-12-20 15:56:39 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.